Redo part of bp/sql-identiy-pam undone by bug 968519

Bug #1068674 reported by Ken Thomas on 2012-10-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Undecided
Ken Thomas
Folsom
Medium
Joseph Heck
keystone (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

The fix for bug 968519 accidentally undid part of the work for bp/sql-identiy-pam. This bug is to track the change (and give me a branch topic) for the minor redo work.

Ken Thomas (krt) on 2012-10-19
Changed in keystone:
assignee: nobody → Ken Thomas (krt)

Fix proposed to branch: master
Review: https://review.openstack.org/14565

Changed in keystone:
status: New → In Progress
Alan Pevec (apevec) on 2012-10-19
tags: added: folsom-backport

Reviewed: https://review.openstack.org/14565
Committed: http://github.com/openstack/keystone/commit/0dc2e9ca37497597aa49439e3d3e71c22f30b515
Submitter: Jenkins
Branch: master

commit 0dc2e9ca37497597aa49439e3d3e71c22f30b515
Author: Ken Thomas <email address hidden>
Date: Fri Oct 19 14:42:55 2012 +0000

    bug 1068674

    Redo part of bp/sql-identiy-pam that was accidently undone by bug 968519.

    We encapsulated the call to utils.check_password with a local method,
    _check_password, to make it easier to subclass Identity. This allows us
    to use a different password checker without having to replace the entire
    authenticate method in our code. The fix for 968519 accidently removed
    the call to the local method. *This* fix puts that call back in.

    Updating comment because Jenkins failed due to build timeout in
    unrelated test.

    Change-Id: I69a3ba2d5a62e4c600edab7ef2cc07413c7360cc

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/14858
Committed: http://github.com/openstack/keystone/commit/bec9b68d4250936313f888d19db9d9f97e298d26
Submitter: Jenkins
Branch: stable/folsom

commit bec9b68d4250936313f888d19db9d9f97e298d26
Author: Ken Thomas <email address hidden>
Date: Fri Oct 19 14:42:55 2012 +0000

    bug 1068674

    Redo part of bp/sql-identiy-pam that was accidently undone by bug 968519.

    We encapsulated the call to utils.check_password with a local method,
    _check_password, to make it easier to subclass Identity. This allows us
    to use a different password checker without having to replace the entire
    authenticate method in our code. The fix for 968519 accidently removed
    the call to the local method. *This* fix puts that call back in.

    Updating comment because Jenkins failed due to build timeout in
    unrelated test.

    (cherry picked from commit 0dc2e9ca37497597aa49439e3d3e71c22f30b515)

    Change-Id: I69a3ba2d5a62e4c600edab7ef2cc07413c7360cc

tags: added: in-stable-folsom
Thierry Carrez (ttx) on 2012-11-22
Changed in keystone:
milestone: none → grizzly-1
status: Fix Committed → Fix Released
Changed in keystone (Ubuntu):
status: New → Fix Released
Changed in keystone (Ubuntu Quantal):
status: New → Confirmed

Hello Ken, or anyone else affected,

Accepted keystone into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/2012.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Mark McLoughlin (markmc) on 2013-01-22
tags: removed: folsom-backport in-stable-folsom
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2012.2.1-0ubuntu1

---------------
keystone (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - debian/control: Ensure keystoneclient is upgraded with keystone,
      require python-keystoneclient >= 1:0.1.3. (LP: #1073273)
    - Dropped patches, applied upsteram:
      - debian/patches/CVE-2012-5563.patch
      - debian/patches/CVE-2012-5571.patch
      - debian/patches/fix-ssl-tests-lp1068851.patch
  * Resynchronize with stable/folsom (7869c3ec) (LP: #1085255):
    - [f9d4766] token expires time incorrect for auth by one token
      (LP: #1079216)
    - [80d63c8] keystone throws error when removing user from tenant.
      (LP: #1078497)
    - [37308dd] Removing user from a tenant isn't invalidating user access to
      tenant (LP: #1064914)
    - [bec9b68] Redo part of bp/sql-identiy-pam undone by bug 968519
      (LP: #1068674)
    - [ee645e6] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [094c494] Non PKI Tokens longer than 32 characters can never be valid
      (LP: #1060389)
    - [3cd343b] Openssl tests rely on expired certificate (LP: #1068851)
    - [2f9807e] Set defaultbranch in .gitreview to stable/folsom
 -- Adam Gandelman <email address hidden> Tue, 04 Dec 2012 09:19:41 -0800

Changed in keystone (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in keystone:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers